Download it now!
Bug 130364 - In Tools, Options, Fonts, the Fonts window has no scroll screen, you cannot see bottom options.
Summary: In Tools, Options, Fonts, the Fonts window has no scroll screen, you cannot s...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords: bibisectRequest, regression
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2020-02-02 17:11 UTC by nk2u@comcast.net
Modified: 2020-03-29 10:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Fonts Options need scroll bar to see all options (28.36 KB, application/zip)
2020-02-02 17:15 UTC, nk2u@comcast.net
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nk2u@comcast.net 2020-02-02 17:11:13 UTC
Description:
In Tools then Options and Fonts, the Fonts window has no scroll screen and you cannot see bottom options.  Size at the bottom is cut off.  One cannot configure the fonts. I don't know if there's something below that.

Steps to Reproduce:
1. Click Tools
2. Click Options
3. Click Fonts
4. No scroll bar to get to Size and below.

Actual Results:
1. Click Tools
2. Click Options
3. Click Fonts
4. No scroll bar to get to Size and below.

Expected Results:
1. Click Tools
2. Click Options
3. Click Fonts
4. Scroll bar to be inserted so that you can get to Size and below.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 nk2u@comcast.net 2020-02-02 17:15:15 UTC
Created attachment 157601 [details]
Fonts Options need scroll bar to see all options
Comment 2 V Stuart Foote 2020-02-02 17:47:01 UTC
Confirmed, the Font Options dialog's UI is no longer sized correctly for its content. Both the vertical and the horizontal directions.

@Caolan, a welding issue?

Otherwise, it does not need a scroll bar. The Options dialog frame can be resized to fit its content. For now just increase the size of the dialog frame.

regards the see also, no crash at crash at 6.4.0.3--but the drop listbox extends well beyond the edge of the options dialog, seems weird.
Comment 3 Dieter 2020-02-02 17:53:54 UTC
I also confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

but not with

Version: 6.3.4.2 (x64)
Build-ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

You can enlarge window, but window should of course display all content by default.
Comment 4 Caolán McNamara 2020-02-03 13:13:21 UTC
we can set the listview smaller by default and let it expand to fit whatever is the available space and adjust the column width calc to be dynamic.
Comment 5 Commit Notification 2020-02-03 17:22:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/49d8e5fb744534f4af7e5c7f08dee7a95bcc6ed5

Resolves: tdf#130364 let font treeview fit to available dialog space

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-02-03 17:26:00 UTC
fixed in master, backport to 6-4 in gerrit
Comment 7 Commit Notification 2020-02-04 07:37:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4528c0018cb348ea0cee21ddddad25b02d497e2f

Resolves: tdf#130364 let font treeview fit to available dialog space

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Dieter 2020-03-29 10:02:21 UTC
Verified with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 41177730421f9be9ad955766a5a19667d8003b11
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

Caolán, thanks for fixing!